# Created by pyp2rpm-3.3.2
%global pypi_name doc8
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

%define with_docs 1
%define with_checks 1

Name:           python-%{pypi_name}
Version:        0.11.2 
Release:        %mkrel 1
Summary:        Style checker for Sphinx (or other) RST documentation
Group:          Development/Python
License:        ASL 2.0
URL:            https://launchpad.net/doc8
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(tomli)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pbr)
%if %with_checks
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(chardet)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(stevedore)
BuildRequires:  python3dist(restructuredtext-lint)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslosphinx)
%endif

%if %with_docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslosphinx)
%endif

%description
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(chardet)
Requires:       python3dist(docutils)
Requires:       python3dist(restructuredtext-lint)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
Requires:       python3dist(stevedore)

%description -n python3-%{pypi_name}
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%if %with_docs
%package -n python-%{pypi_name}-doc
Summary:        doc8 documentation

%description -n python-%{pypi_name}-doc
Documentation for doc8.
%endif

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%if %with_docs
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
%if %with_checks
%pytest
%endif


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{_bindir}/doc8
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif



%changelog
* Tue Jun 14 2022 papoteur <papoteur> 0.11.2-1.mga9
+ Revision: 1864394
- new 0.11.2
  Build with pyproject
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 wally <wally> 0.8.0-6.mga9
+ Revision: 1732613
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-5.mga8
+ Revision: 1535467
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.8.0-4.mga8
+ Revision: 1451630
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 0.8.0-3.mga8
+ Revision: 1429723
- update BRs
- drop python2 tests

* Wed Jan 09 2019 kekepower <kekepower> 0.8.0-2.mga7
+ Revision: 1353273
- Enable docs and checks

* Wed Jan 09 2019 kekepower <kekepower> 0.8.0-1.mga7
+ Revision: 1353239
- Bootstrap build without checks
- Refined the description
- Disable docs for now
- Add patch to fix build deps versions
- BR python2-enum34
- Remove versioned deps
- Remove deps on itself
- imported package python-doc8
+ tv <tv>
- oslosphinx is actually needed for %%check even w/o docs
- sphinx is actually needed even w/o docs

